Opera Preferences version 2.1
; Do not edit this file while Opera is running
; This file is stored in UTF-8 encoding


[matches]

; One can disable xft or core fonts if necessary
;engine:xft=blacklist
;engine:x11=blacklist

; Foundries that are generally known to have bad implementations
;foundry:urw|abiword|ultimo=bad

; Generic settings - families with known glyph types
family:times|nimbus roman no9 l|times new roman|bitstream vera serif=serif
family:helvetica|nimbus sans l|arial|bitstream vera sans=sans-serif
family:courier|courier new|bitstream vera sans mono=monospace

; Generic settings - generic families which have good, readable designs,
; but where we can't be sure the implementation is any good.
family:times|times new roman=good
family:helvetica|arial=good
family:courier|courier new=good
family:clearlyu *=good

; Known high-quality fonts
family:arial|verdana|times new roman;foundry:microsoft|monotype=excellent
family:Nimbus*=verygood
foundry:bitstream=excellent

; Known fonts that solves specific problems
family:mincho|gothic=japanese good try-first
family:kochi*=japanese good try-first
family:song|song ti|fangsong*=chinese-s try-first
family:baekmuk*=korean good try-first

; Fonts that we know should not be used for displaying text
family:*dingbat*|*dings*|agathadaimon=symbol

; Specific fonts at the bottom
; Known bad implementations
engine:x11;foundry:mdk;family:helvetica=blacklist


[default]
usage=by-request
preference=5

[serif]
style=serif

[sans-serif]
style=sans-serif

[monospace]
style=monospace

[cursive]
style=cursive

[fantasy]
style=fantasy

[japanese]
style=japanese

[chinese-t]
style=chinese-t

[chinese-s]
style=chinese-s

[korean]
style=korean

[try-first]
usage=try-first

[excellent]
preference=8
usage=try-first

[verygood]
preference=7
usage=try-first

[good]
preference=6

[bad]
preference=4

[avoid]
usage=by-request

[symbol]
usage=by-request

[blacklist]
usage=blacklist

